Module | Sequel::TinyTDS::Dataset::ArgumentMapper
In: | lib/sequel/adapters/tinytds.rb

SQLite already supports named bind arguments, so use directly.

### Methods

map_to_prepared_args

### Included Modules

Sequel::Dataset::ArgumentMapper

### Protected Instance methods

map_to_prepared_args(hash)

Return a hash with the same values as the given hash, but with the keys converted to strings.

[Source]

         # File lib/sequel/adapters/tinytds.rb, line 170
    170:         def map_to_prepared_args(hash)
    171:           args = {}
    172:           hash.each{|k,v| args[k.to_s.gsub('.', '__')] = v}
    173:           args
    174:         end

[Validate]